
//login
var API_LOGIN = "verify/auth/token";

//返回的数据都为code、data的形式

function login({ baseUrl,name, password, sn, callback }) {
  var loginRequest = {
    username: name,
    password: password,
    serialNo: sn
  };
  console.log("login request==>" + JSON.stringify(loginRequest));
  var loginResponse = { code: {}, data: {} };
  my.request({
    url: baseUrl + API_LOGIN,
    method: 'POST',
    dataType: 'json',
    timeout: 30000,
    data: loginRequest,
    success: (res) => {
      console.log("login success==>" + JSON.stringify(res));
      if (callback != null) {

        if (res.data.code != "200") {
          loginResponse.code = -1;
          //重置data内容
          loginResponse.data = res.data.msg;
        } else {
          loginResponse.code = 0;
          loginResponse.data = res.data.data;
        }

        callback(loginResponse);
      }
    },
    fail: (res) => {
      console.log("login fail==>" + JSON.stringify(res));
      if (callback != null) {
        loginResponse.code = -1;
        loginResponse.data = decodeErrorMessage(res.error);
        callback(loginResponse);
      }
    }
  });
}

function decodeErrorMessage(error) {
  if (error == null) {
    return "请求失败";
  }
  switch (error) {
    case "11": return "无权跨域";
    case "12": return "网络出错";
    case "13": return "请求超时";
    case "14": return "解码失败";
    case "19": return "HTTP错误";
    case "20": return "请求已被停止/服务端限流";
  }
  return "请求失败";
}

module.exports.login = login;